Package ru.bitel.bgbilling.modules.assist.common.bean

# Class Transaction.Builder

java.lang.Object
ru.bitel.bgbilling.common.bean.BGAbstarctTransactionBuilder<Transaction.Builder,Transaction>
ru.bitel.bgbilling.modules.assist.common.bean.Transaction.Builder

Enclosing class:
  `Transaction`

public static class Transaction.Builder extends BGAbstarctTransactionBuilder<Transaction.Builder,Transaction>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGAbstarctTransactionBuilder

  `builder, transaction`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Transaction.Builder`
  `setBillnumber(Long billnumber)`
  `Transaction.Builder`
  `setCardholderName(String cardholder)`
  `Transaction.Builder`
  `setCardsubtype(String cardsubtype)`
  `Transaction.Builder`
  `setCardtype(String cardtype)`
  `Transaction.Builder`
  `setComment(String comment)`
  `Transaction.Builder`
  `setEmail(String email)`
  `Transaction.Builder`
  `setIpaddress(String ipaddress)`
  `Transaction.Builder`
  `setName(String name)`
  `Transaction.Builder`
  `setPan(String pan)`
  `Transaction.Builder`
  `setRecurringParentId(int recurringParentId)`
  `Transaction.Builder`
  `setResponseCode(String responseCode)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstarctTransactionBuilder

  `build, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setId, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setCardholderName

    public Transaction.Builder setCardholderName(String cardholder)

  - ### setComment

    public Transaction.Builder setComment(String comment)

  - ### setEmail

    public Transaction.Builder setEmail(String email)

  - ### setName

    public Transaction.Builder setName(String name)

  - ### setIpaddress

    public Transaction.Builder setIpaddress(String ipaddress)

  - ### setPan

    public Transaction.Builder setPan(String pan)

  - ### setCardtype

    public Transaction.Builder setCardtype(String cardtype)

  - ### setCardsubtype

    public Transaction.Builder setCardsubtype(String cardsubtype)

  - ### setBillnumber

    public Transaction.Builder setBillnumber(Long billnumber)

  - ### setResponseCode

    public Transaction.Builder setResponseCode(String responseCode)

  - ### setRecurringParentId

    public Transaction.Builder setRecurringParentId(int recurringParentId)